Subject: large 2-electron files on IBM RS6000; small suggestion

From: [email-masked] (Frits Daalmans)
Date: Fri, 30 Sep 94 10:19:27 GMT

(mail to [email-masked] bounced, so I send this to the list)

To: [email-masked]
Subject: Re:  CCL:Gaussian92 run time problem under AIX 3.2.5

Well..
I know of a "dirty trick" that I used on a NAS9000 mainframe running under CMS:
the integral file in the version of GAMESS I used then was called mt2 instead
of ed2, which already suggests what kind of file it was:
I think (but I could be wrong) that integral files are sequentially written
and read, so you could possibly use a tapestreamer instead of a disk to
write the integrals to. This assumes that you have unlimited CPU time, of
course, since reading/writing from tape is MUCH slower than disk access.
But the integrals should only be needed in constructing the Fock matrix
so, depending on your calculation, they are only made a couple of times.
You could give it a try to do a
setenv ed2 /dev/rmt1.0
(assumed /dev/rmt1.0 is the device name of a self-rewinding tape drive,
and assumed the integrals are read one-by-one sequentially)

Please mail me if this works, or why it cannot work :-)
Greetings,
Frits

Frits Daalmans
OIO Conformational Analysis
Gorlaeus Laboratoria
Leiden, The Netherlands
E-mail: [email-masked]
Tel: [+31] (0)71-274505

Frits Daalmans
OIO Conformational Analysis
Gorlaeus Laboratoria
Leiden, The Netherlands
E-mail: [email-masked]
Tel: [+31] (0)71-274505